WashU Epigenome Browser - Bug # 56

Status: Closed Priority: Normal
Author: Xin Zhou Category:

Created: 09/26/2013 Assignee: Xin Zhou
Updated: 05/25/2014 Due date:

Subiject: error handling with failed custom tracks

Description

in case of unacceptable custom track, don't crash or abort, but properly handle it and go on with it

History

#1 - 09/28/2013 02:57 pm - Xin Zhou
- Status changed from New to In Progress

better error handling implemented in v24.1. When a broken track is used, the browser should not crash but print out a warning message instead.

This applies to both native and custom tracks.

Please test it on all places that involves adding tracks. Thanks!

#2 - 04/08/2014 01:14 pm - Xin Zhou

- Status changed from In Progress to Resolved

Broken track URL of all types (not limited to bedgraph or bigwig) can be handled from v36.0.4

#3 - 05/25/2014 12:14 am - Daofeng Li

- Status changed from Resolved to Closed
